# Class MessageHorodate

java.lang.Object
MessageHorodate

    public class MessageHorodate
    extends java.lang.Object

Classe representant les messages envoyés en TCP lors d'une session de clavardage

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageHorodate​(Utilisateur destinataire, Utilisateur source, java.lang.String Message)` | Constructeur , le message va etre horodate

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `dateToString()` | permet de creer une representation string de la date d'horodatage
`java.lang.String` | `toString()` | permet de creer une representation string du message

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageHorodate

public MessageHorodate​(Utilisateur destinataire, Utilisateur source, java.lang.String Message)

Constructeur , le message va etre horodate

Parameters:
  `destinataire` - - Destinataire du message
  `source` - - Source du message
  `Message` - - Message envoye

## Method Details

### toString

public java.lang.String toString()

permet de creer une representation string du message

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  Les differents attributs de la classe sous forme de string

### dateToString

public java.lang.String dateToString()

permet de creer une representation string de la date d'horodatage

Returns:
  La date d'horodatage du message en format yyyy/MM/dd HH:mm:ss